#!/usr/local/bin/php
<?php
/**
 * $Horde: framework/XML_WBXML/tests/encode-decode.phpt,v 1.7 2004/07/12 17:59:33 chuck Exp $
 */

include_once 'XML/WBXML/Decoder.php';
include_once 'XML/WBXML/Encoder.php';

$test_input = '../docs/examples/syncml_client_packet_1.xml';
$test_wbxml = 'test-' . basename($test_input) . '.wbxml';
$test_xml   = 'test-' . basename($test_input) . '.xml';

$xml_in = file_get_contents($test_input);

$encoder = &new XML_WBXML_Encoder();
$wbxml = $encoder->encode($xml_in);

$decoder = &new XML_WBXML_Decoder();
$xml_out = $decoder->decode($wbxml);

if ($xml_in == $xml_out) {
    echo "Passed.\n";
} else {
    echo "Failed.\n";

    if (@include_once 'Text/Diff.php') {
        include_once 'Text/Diff/Renderer.php';
        include_once 'Text/Diff/Renderer/unified.php';

        $diff = &new Text_Diff(explode("\n", $xml_in),
                               explode("\n", $xml_out));

        /* Return the diff just in unified format for now. */
        $renderer = &new Text_Diff_Renderer_unified();
        echo "\n" . $renderer->render($diff);
    }
}
